Update per-org config (display name, tracked categories) for a subscription.
Update per-org config (display name, tracked categories) for a subscription — Competitor Tracker & Co. API reference for PATCH /v1/competitors/{id}: request.
Required role: member or higher (organization-level).
Required scope: competitors:write (for both OAuth2 tokens and API keys).
In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://api.competitortracker.io/v1/competitors/01HF..." \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"url": "string",
"normalizedUrl": "string",
"name": "string",
"displayName": "string",
"trackedCategories": [
"string"
],
"addedAt": "string",
"updatedAt": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}Get a single competitor subscription belonging to the current organization. GET
Get a single competitor subscription belonging to the current organization — Competitor Tracker & Co. API reference for GET /v1/competitors/{id}: request.
Unsubscribe the current organization from a competitor. DELETE
Unsubscribe the current organization from a competitor — Competitor Tracker & Co. API reference for DELETE /v1/competitors/{id}: request parameters, request.